Knowledgebase

Search:     Advanced search

Cannot Connect to Oracle Databases on Linux Because the Qt OCI Driver is Unavailable

Article ID: 293  |  Last updated: 23 Dec, 2014

Problem

After installing the Oracle OCI driver for native database access, you cannot connect to Oracle databases on Linux and the following error is returned:

‘The Qt OCI driver was unavailable. Make sure that the RDBMS client libraries are installed.’

Cause

Some Linux distributions do not install the libaio.so.1 library, which is a required dependency for the Oracle client libraries.

Solution

Manually install the libaio.so.1 library from the Linux distribution package management system. Refer to the Linux distribution help for information.

Article ID: 293  |   Last updated: 23 Dec, 2014
Tags
Linux Oracle library cannot connect Qt

Also listed in
folder Surround SCM
folder TestTrack

Prev   Next
Backing Up License Server Databases     License Server Supported Web Servers